Multiple typed questions in one request
/v1/systemone
Send one context (state, plus optional images/documents/signals) and many
named questions. Each question is independently typed and answered.
Question types: boolean (or noul / bool), choice, score, set,
box (visual grounding). Unknown types are rejected (422).
Defaults: fast mode, no thinking, no abstention. Set mode: "deep" to
enable abstention (abstained: true is then possible on individual answers).
Each question is metered independently; usage.billable_tokens is the sum
of per-question minimums.
Body Parameters
model: optional string
Accepted for compatibility. The response model is always dec-1.
state: optional string
Returns
Multiple typed questions in one request
curl https://api.articul8.ai/bivia/v1/systemone \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $A8_API_KEY" \
-d '{}'
{
"answers": {
"foo": {
"abstained": true,
"choice": {},
"type": "choice",
"confidence": 0,
"probabilities": {
"foo": 0
}
}
},
"model": "dec-1",
"usage": {
"billable_tokens": 0,
"input_tokens": 0,
"questions": 0,
"output_tokens": 0
}
}Returns Examples
{
"answers": {
"foo": {
"abstained": true,
"choice": {},
"type": "choice",
"confidence": 0,
"probabilities": {
"foo": 0
}
}
},
"model": "dec-1",
"usage": {
"billable_tokens": 0,
"input_tokens": 0,
"questions": 0,
"output_tokens": 0
}
}